Bug 1168978 - [abrt] recoll: tokenize.py:176:tokenize_loop:AttributeError: Parser instance has no __call__ method
Summary: [abrt] recoll: tokenize.py:176:tokenize_loop:AttributeError: Parser instance ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f4f0eb5a83e47584384d7d8d6a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-28 15:39 UTC by KitchM
Modified: 2015-01-20 21:07 UTC (History)
1 user (show)

Fixed In Version: recoll-1.20.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 21:04:18 UTC


Attachments (Terms of Use)
File: backtrace (968 bytes, text/plain)
2014-11-28 15:39 UTC, KitchM
no flags Details
File: environ (1.51 KB, text/plain)
2014-11-28 15:39 UTC, KitchM
no flags Details

Description KitchM 2014-11-28 15:39:51 UTC
Description of problem:
Just booted computer.  Nothing to see.

Version-Release number of selected component:
recoll-1.19.13-1.fc20

Additional info:
reporter:       libreport-2.2.3
dso_list:       python-libs-2.7.5-13.fc20.x86_64
executable:     /usr/share/recoll/filters/rclpython
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tokenize.py:176:tokenize_loop:AttributeError: Parser instance has no __call__ method

Traceback (most recent call last):
  File "/usr/share/recoll/filters/rclpython", line 234, in <module>
    colorize_file(filepath)
  File "/usr/share/recoll/filters/rclpython", line 219, in colorize_file
    Parser(source, out=outstream).format()
  File "/usr/share/recoll/filters/rclpython", line 138, in format
    tokenize.tokenize(text.readline, self)
  File "/usr/lib64/python2.7/tokenize.py", line 169, in tokenize
    tokenize_loop(readline, tokeneater)
  File "/usr/lib64/python2.7/tokenize.py", line 176, in tokenize_loop
    tokeneater(*token_info)
AttributeError: Parser instance has no __call__ method

Local variables in innermost frame:
token_info: (53, '# See LICENSE for details.', (2, 0), (2, 26), '# See LICENSE for details.\n')
tokeneater: <__main__.Parser instance at 0x129df80>
readline: <built-in method readline of cStringIO.StringI object at 0x7feec84dbd78>

Comment 1 KitchM 2014-11-28 15:39:53 UTC
Created attachment 962533 [details]
File: backtrace

Comment 2 KitchM 2014-11-28 15:39:54 UTC
Created attachment 962534 [details]
File: environ

Comment 3 Fedora Update System 2015-01-10 16:29:40 UTC
recoll-1.20.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc21

Comment 4 Fedora Update System 2015-01-10 16:29:51 UTC
recoll-1.20.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc20

Comment 5 Fedora Update System 2015-01-11 02:59:21 UTC
Package recoll-1.20.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0540/recoll-1.20.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-20 21:04:18 UTC
recoll-1.20.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-20 21:07:40 UTC
recoll-1.20.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.